Retrieve Email Verification Token
Retrieves an Email Verification Token for a specified Email.
Retrieves an Email Verification Token for a specified Email.
Tenant API Key for authentication
In: query
Tenant API Secret for authentication
In: query
Query Parameters
Email address of the associated Account.
emailThe type of verification. Currently, only "Email" is supported.
"email"The expiration time for the token in seconds.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.loginradius.com/identity/v2/manage/account/vtoken?email=test%40gmail.com&vtype=email&expires_in=3600"{
"VerificationToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"expires_in": "2024-03-20T15:30:00Z"
}{
"ErrorCode": 908,
"Message": "A parameter is not formatted correctly",
"Description": "The email is a required parameter."
}{
"ErrorCode": 902,
"Message": "The API secret is unauthorized",
"Description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}{
"ErrorCode": 1034,
"Message": "Verification emails cannot be sent, as the email verification option is disabled for your site",
"Description": "The email address verification option is disabled for your site, please enable it before sending any verification emails."
}Retrieve Forgot Password Token POST
Generates a Forgot Password Token for the User and optionally sends an Email with the token.
Retrieve Context by UID GET
Retrieves User Roles for all Contexts using the UID. This API is supported only for B2C tenants. For improved role and permission management, we recommend migrating to a B2B tenant. Please contact support for assistance with the migration.